"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireWildcard(require("react"));

var _reactNative = require("react-native");

var _icons = require("../assets/icons");

var _IconButton = _interopRequireDefault(require("./IconButton"));

var _StringUtil = require("../utils/StringUtil");

var _SeekBar = _interopRequireDefault(require("./SeekBar"));

var _SlideButton = _interopRequireDefault(require("./SlideButton"));

var _GradientView = _interopRequireDefault(require("./GradientView"));

var _ColorUtil = require("../utils/ColorUtil");

var _TimeTagView = _interopRequireDefault(require("./TimeTagView"));

var _VolumeTagView = _interopRequireDefault(require("./VolumeTagView"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }

function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

const FooterControl = /*#__PURE__*/_react.default.forwardRef((props, ref) => {
  var _nexenTheme$sizes, _nexenTheme$colors, _nexenTheme$sizes2, _nexenTheme$sizes3, _nexenTheme$sizes4, _nexenTheme$sizes5, _nexenTheme$tagView, _nexenTheme$tagView2;

  const {
    opacity,
    marginBottom,
    paused,
    fullScreen,
    locked,
    insets,
    playerConfig,
    nexenTheme,
    trackTime,
    cachedTrackTime,
    totalTrackTime,
    totalVolume,
    isSeekable,
    isVolumeSeekable,
    disablePlaylistAndSkip,
    onPlayPress,
    onCcPress,
    onVideoListPress,
    onFullScreenPress,
    onVolumePress,
    onStopPress,
    onSeekStart,
    onSeekUpdate,
    onSeekEnd,
    onVolumeSeekStart,
    onVolumeSeekUpdate,
    onVolumeSeekEnd,
    onSlideStart,
    onSlideEnd,
    onReachedToStart,
    onReachedToEnd,
    onSkipNext,
    onSkipBack,
    onAspectRatioPress
  } = props;
  const isRTL = _reactNative.I18nManager.isRTL;

  const iconTagViewRef = _react.default.useRef(null);

  const ICON_SIZE_FACTOR = (playerConfig === null || playerConfig === void 0 ? void 0 : playerConfig.layoutMode) === 'advanced' ? 1.8 : 1;
  const ICON_SIZE = nexenTheme === null || nexenTheme === void 0 ? void 0 : (_nexenTheme$sizes = nexenTheme.sizes) === null || _nexenTheme$sizes === void 0 ? void 0 : _nexenTheme$sizes.primaryIconSize;
  const ICON_COLOR = nexenTheme === null || nexenTheme === void 0 ? void 0 : (_nexenTheme$colors = nexenTheme.colors) === null || _nexenTheme$colors === void 0 ? void 0 : _nexenTheme$colors.primaryIconColor;
  const CONTAINER_VERTICAL_PADDING = fullScreen ? (insets === null || insets === void 0 ? void 0 : insets.bottom) > 0 ? insets === null || insets === void 0 ? void 0 : insets.bottom : nexenTheme === null || nexenTheme === void 0 ? void 0 : (_nexenTheme$sizes2 = nexenTheme.sizes) === null || _nexenTheme$sizes2 === void 0 ? void 0 : _nexenTheme$sizes2.paddingVertical : nexenTheme === null || nexenTheme === void 0 ? void 0 : (_nexenTheme$sizes3 = nexenTheme.sizes) === null || _nexenTheme$sizes3 === void 0 ? void 0 : _nexenTheme$sizes3.paddingVertical;
  const CONTAINER_HORIZONTAL_PADDING = fullScreen ? ((insets === null || insets === void 0 ? void 0 : insets.left) + (insets === null || insets === void 0 ? void 0 : insets.right)) / 2 > 0 ? ((insets === null || insets === void 0 ? void 0 : insets.left) + (insets === null || insets === void 0 ? void 0 : insets.right)) / 2 : nexenTheme === null || nexenTheme === void 0 ? void 0 : (_nexenTheme$sizes4 = nexenTheme.sizes) === null || _nexenTheme$sizes4 === void 0 ? void 0 : _nexenTheme$sizes4.paddingHorizontal : nexenTheme === null || nexenTheme === void 0 ? void 0 : (_nexenTheme$sizes5 = nexenTheme.sizes) === null || _nexenTheme$sizes5 === void 0 ? void 0 : _nexenTheme$sizes5.paddingHorizontal;
  const TAG_VIEW_HEIGHT = (playerConfig === null || playerConfig === void 0 ? void 0 : playerConfig.layoutMode) === 'advanced' ? nexenTheme === null || nexenTheme === void 0 ? void 0 : (_nexenTheme$tagView = nexenTheme.tagView) === null || _nexenTheme$tagView === void 0 ? void 0 : _nexenTheme$tagView.height : (nexenTheme === null || nexenTheme === void 0 ? void 0 : (_nexenTheme$tagView2 = nexenTheme.tagView) === null || _nexenTheme$tagView2 === void 0 ? void 0 : _nexenTheme$tagView2.height) + 8;
  const CONTAINER_HEIGHT = locked ? ICON_SIZE * ICON_SIZE_FACTOR + 10 * 2 + TAG_VIEW_HEIGHT + CONTAINER_VERTICAL_PADDING + 8 : ICON_SIZE * ICON_SIZE_FACTOR + 10 * 2 + TAG_VIEW_HEIGHT + CONTAINER_VERTICAL_PADDING;
  (0, _react.useImperativeHandle)(ref, () => ({
    updateIconTagView: newState => {
      var _iconTagViewRef$curre;

      (_iconTagViewRef$curre = iconTagViewRef.current) === null || _iconTagViewRef$curre === void 0 ? void 0 : _iconTagViewRef$curre.updateState(newState);
    }
  }));

  const seekBarTheme = _react.default.useMemo(() => {
    var _nexenTheme$trackSeek, _nexenTheme$colors2, _nexenTheme$trackSeek2, _nexenTheme$colors3, _nexenTheme$trackSeek3, _nexenTheme$colors4, _nexenTheme$trackSeek4, _nexenTheme$colors5, _nexenTheme$trackSeek5, _nexenTheme$colors6, _nexenTheme$trackSeek6, _nexenTheme$trackSeek7, _nexenTheme$trackSeek8, _nexenTheme$trackSeek9, _nexenTheme$trackSeek10;

    return {
      trackColor: (nexenTheme === null || nexenTheme === void 0 ? void 0 : (_nexenTheme$trackSeek = nexenTheme.trackSeekBar) === null || _nexenTheme$trackSeek === void 0 ? void 0 : _nexenTheme$trackSeek.trackColor) || (nexenTheme === null || nexenTheme === void 0 ? void 0 : (_nexenTheme$colors2 = nexenTheme.colors) === null || _nexenTheme$colors2 === void 0 ? void 0 : _nexenTheme$colors2.accentColor),
      cachedTrackColor: (nexenTheme === null || nexenTheme === void 0 ? void 0 : (_nexenTheme$trackSeek2 = nexenTheme.trackSeekBar) === null || _nexenTheme$trackSeek2 === void 0 ? void 0 : _nexenTheme$trackSeek2.cachedTrackColor) || (nexenTheme === null || nexenTheme === void 0 ? void 0 : (_nexenTheme$colors3 = nexenTheme.colors) === null || _nexenTheme$colors3 === void 0 ? void 0 : _nexenTheme$colors3.secondaryColor),
      totalTrackColor: (nexenTheme === null || nexenTheme === void 0 ? void 0 : (_nexenTheme$trackSeek3 = nexenTheme.trackSeekBar) === null || _nexenTheme$trackSeek3 === void 0 ? void 0 : _nexenTheme$trackSeek3.totalTrackColor) || (0, _ColorUtil.getAlphaColor)(nexenTheme === null || nexenTheme === void 0 ? void 0 : (_nexenTheme$colors4 = nexenTheme.colors) === null || _nexenTheme$colors4 === void 0 ? void 0 : _nexenTheme$colors4.secondaryColor, 0.3),
      thumbColor: (nexenTheme === null || nexenTheme === void 0 ? void 0 : (_nexenTheme$trackSeek4 = nexenTheme.trackSeekBar) === null || _nexenTheme$trackSeek4 === void 0 ? void 0 : _nexenTheme$trackSeek4.thumbColor) || (nexenTheme === null || nexenTheme === void 0 ? void 0 : (_nexenTheme$colors5 = nexenTheme.colors) === null || _nexenTheme$colors5 === void 0 ? void 0 : _nexenTheme$colors5.accentColor),
      thumbBorderColor: (nexenTheme === null || nexenTheme === void 0 ? void 0 : (_nexenTheme$trackSeek5 = nexenTheme.trackSeekBar) === null || _nexenTheme$trackSeek5 === void 0 ? void 0 : _nexenTheme$trackSeek5.thumbBorderColor) || (0, _ColorUtil.getAlphaColor)(nexenTheme === null || nexenTheme === void 0 ? void 0 : (_nexenTheme$colors6 = nexenTheme.colors) === null || _nexenTheme$colors6 === void 0 ? void 0 : _nexenTheme$colors6.secondaryColor, 0.7),
      trackHeight: nexenTheme === null || nexenTheme === void 0 ? void 0 : (_nexenTheme$trackSeek6 = nexenTheme.trackSeekBar) === null || _nexenTheme$trackSeek6 === void 0 ? void 0 : _nexenTheme$trackSeek6.trackHeight,
      thumbSize: nexenTheme === null || nexenTheme === void 0 ? void 0 : (_nexenTheme$trackSeek7 = nexenTheme.trackSeekBar) === null || _nexenTheme$trackSeek7 === void 0 ? void 0 : _nexenTheme$trackSeek7.thumbSize,
      thumbBorderWidth: nexenTheme === null || nexenTheme === void 0 ? void 0 : (_nexenTheme$trackSeek8 = nexenTheme.trackSeekBar) === null || _nexenTheme$trackSeek8 === void 0 ? void 0 : _nexenTheme$trackSeek8.thumbBorderWidth,
      thumbCornerRadius: nexenTheme === null || nexenTheme === void 0 ? void 0 : (_nexenTheme$trackSeek9 = nexenTheme.trackSeekBar) === null || _nexenTheme$trackSeek9 === void 0 ? void 0 : _nexenTheme$trackSeek9.thumbCornerRadius,
      thumbBorderCornerRadius: nexenTheme === null || nexenTheme === void 0 ? void 0 : (_nexenTheme$trackSeek10 = nexenTheme.trackSeekBar) === null || _nexenTheme$trackSeek10 === void 0 ? void 0 : _nexenTheme$trackSeek10.thumbBorderCornerRadius
    };
  }, [nexenTheme, fullScreen]);

  const volumeSeekBarTheme = _react.default.useMemo(() => {
    var _nexenTheme$miniSeekB, _nexenTheme$colors7, _nexenTheme$miniSeekB2, _nexenTheme$colors8, _nexenTheme$miniSeekB3, _nexenTheme$colors9, _nexenTheme$tagView3, _nexenTheme$colors10, _nexenTheme$colors11, _nexenTheme$sizes6, _nexenTheme$tagView4, _nexenTheme$tagView5, _nexenTheme$tagView6, _nexenTheme$miniSeekB4, _nexenTheme$miniSeekB5, _nexenTheme$miniSeekB6;

    return {
      barColor: playerConfig !== null && playerConfig !== void 0 && playerConfig.muted ? '#414141' : (nexenTheme === null || nexenTheme === void 0 ? void 0 : (_nexenTheme$miniSeekB = nexenTheme.miniSeekBar) === null || _nexenTheme$miniSeekB === void 0 ? void 0 : _nexenTheme$miniSeekB.barColor) || (0, _ColorUtil.getAlphaColor)(nexenTheme === null || nexenTheme === void 0 ? void 0 : (_nexenTheme$colors7 = nexenTheme.colors) === null || _nexenTheme$colors7 === void 0 ? void 0 : _nexenTheme$colors7.secondaryColor, 0.7),
      underlayColor: playerConfig !== null && playerConfig !== void 0 && playerConfig.muted ? '#919191' : (nexenTheme === null || nexenTheme === void 0 ? void 0 : (_nexenTheme$miniSeekB2 = nexenTheme.miniSeekBar) === null || _nexenTheme$miniSeekB2 === void 0 ? void 0 : _nexenTheme$miniSeekB2.underlayColor) || (0, _ColorUtil.getAlphaColor)(nexenTheme === null || nexenTheme === void 0 ? void 0 : (_nexenTheme$colors8 = nexenTheme.colors) === null || _nexenTheme$colors8 === void 0 ? void 0 : _nexenTheme$colors8.primaryColor, 0.3),
      thumbColor: playerConfig !== null && playerConfig !== void 0 && playerConfig.muted ? '#313131' : (nexenTheme === null || nexenTheme === void 0 ? void 0 : (_nexenTheme$miniSeekB3 = nexenTheme.miniSeekBar) === null || _nexenTheme$miniSeekB3 === void 0 ? void 0 : _nexenTheme$miniSeekB3.thumbColor) || (nexenTheme === null || nexenTheme === void 0 ? void 0 : (_nexenTheme$colors9 = nexenTheme.colors) === null || _nexenTheme$colors9 === void 0 ? void 0 : _nexenTheme$colors9.accentColor),
      borderColor: (nexenTheme === null || nexenTheme === void 0 ? void 0 : (_nexenTheme$tagView3 = nexenTheme.tagView) === null || _nexenTheme$tagView3 === void 0 ? void 0 : _nexenTheme$tagView3.borderColor) || (0, _ColorUtil.getAlphaColor)(nexenTheme === null || nexenTheme === void 0 ? void 0 : (_nexenTheme$colors10 = nexenTheme.colors) === null || _nexenTheme$colors10 === void 0 ? void 0 : _nexenTheme$colors10.accentColor, 0.7),
      iconColor: nexenTheme === null || nexenTheme === void 0 ? void 0 : (_nexenTheme$colors11 = nexenTheme.colors) === null || _nexenTheme$colors11 === void 0 ? void 0 : _nexenTheme$colors11.primaryIconColor,
      iconSize: nexenTheme === null || nexenTheme === void 0 ? void 0 : (_nexenTheme$sizes6 = nexenTheme.sizes) === null || _nexenTheme$sizes6 === void 0 ? void 0 : _nexenTheme$sizes6.primaryIconSize,
      height: nexenTheme === null || nexenTheme === void 0 ? void 0 : (_nexenTheme$tagView4 = nexenTheme.tagView) === null || _nexenTheme$tagView4 === void 0 ? void 0 : _nexenTheme$tagView4.height,
      cornerRadius: nexenTheme === null || nexenTheme === void 0 ? void 0 : (_nexenTheme$tagView5 = nexenTheme.tagView) === null || _nexenTheme$tagView5 === void 0 ? void 0 : _nexenTheme$tagView5.cornerRadius,
      borderWidth: nexenTheme === null || nexenTheme === void 0 ? void 0 : (_nexenTheme$tagView6 = nexenTheme.tagView) === null || _nexenTheme$tagView6 === void 0 ? void 0 : _nexenTheme$tagView6.borderWidth,
      trackHeight: nexenTheme === null || nexenTheme === void 0 ? void 0 : (_nexenTheme$miniSeekB4 = nexenTheme.miniSeekBar) === null || _nexenTheme$miniSeekB4 === void 0 ? void 0 : _nexenTheme$miniSeekB4.trackHeight,
      thumbSize: nexenTheme === null || nexenTheme === void 0 ? void 0 : (_nexenTheme$miniSeekB5 = nexenTheme.miniSeekBar) === null || _nexenTheme$miniSeekB5 === void 0 ? void 0 : _nexenTheme$miniSeekB5.thumbSize,
      thumbCornerRadius: nexenTheme === null || nexenTheme === void 0 ? void 0 : (_nexenTheme$miniSeekB6 = nexenTheme.miniSeekBar) === null || _nexenTheme$miniSeekB6 === void 0 ? void 0 : _nexenTheme$miniSeekB6.thumbCornerRadius
    };
  }, [nexenTheme, fullScreen, playerConfig]);

  const timeTagViewTheme = _react.default.useMemo(() => {
    var _nexenTheme$fonts, _nexenTheme$tagView7, _nexenTheme$tagView8, _nexenTheme$tagView9, _nexenTheme$tagView10, _nexenTheme$tagView11, _nexenTheme$tagView12, _nexenTheme$colors12, _nexenTheme$tagView13, _nexenTheme$colors13, _nexenTheme$tagView14, _nexenTheme$colors14;

    return {
      font: nexenTheme === null || nexenTheme === void 0 ? void 0 : (_nexenTheme$fonts = nexenTheme.fonts) === null || _nexenTheme$fonts === void 0 ? void 0 : _nexenTheme$fonts.secondaryFont,
      height: nexenTheme === null || nexenTheme === void 0 ? void 0 : (_nexenTheme$tagView7 = nexenTheme.tagView) === null || _nexenTheme$tagView7 === void 0 ? void 0 : _nexenTheme$tagView7.height,
      cornerRadius: nexenTheme === null || nexenTheme === void 0 ? void 0 : (_nexenTheme$tagView8 = nexenTheme.tagView) === null || _nexenTheme$tagView8 === void 0 ? void 0 : _nexenTheme$tagView8.cornerRadius,
      borderWidth: nexenTheme === null || nexenTheme === void 0 ? void 0 : (_nexenTheme$tagView9 = nexenTheme.tagView) === null || _nexenTheme$tagView9 === void 0 ? void 0 : _nexenTheme$tagView9.borderWidth,
      textSize: nexenTheme === null || nexenTheme === void 0 ? void 0 : (_nexenTheme$tagView10 = nexenTheme.tagView) === null || _nexenTheme$tagView10 === void 0 ? void 0 : _nexenTheme$tagView10.textSize,
      textLineHeight: nexenTheme === null || nexenTheme === void 0 ? void 0 : (_nexenTheme$tagView11 = nexenTheme.tagView) === null || _nexenTheme$tagView11 === void 0 ? void 0 : _nexenTheme$tagView11.textLineHeight,
      textColor: (nexenTheme === null || nexenTheme === void 0 ? void 0 : (_nexenTheme$tagView12 = nexenTheme.tagView) === null || _nexenTheme$tagView12 === void 0 ? void 0 : _nexenTheme$tagView12.textColor) || (nexenTheme === null || nexenTheme === void 0 ? void 0 : (_nexenTheme$colors12 = nexenTheme.colors) === null || _nexenTheme$colors12 === void 0 ? void 0 : _nexenTheme$colors12.secondaryTextColor),
      borderColor: (nexenTheme === null || nexenTheme === void 0 ? void 0 : (_nexenTheme$tagView13 = nexenTheme.tagView) === null || _nexenTheme$tagView13 === void 0 ? void 0 : _nexenTheme$tagView13.borderColor) || (0, _ColorUtil.getAlphaColor)(nexenTheme === null || nexenTheme === void 0 ? void 0 : (_nexenTheme$colors13 = nexenTheme.colors) === null || _nexenTheme$colors13 === void 0 ? void 0 : _nexenTheme$colors13.secondaryColor, 0.3),
      backgroundColor: (nexenTheme === null || nexenTheme === void 0 ? void 0 : (_nexenTheme$tagView14 = nexenTheme.tagView) === null || _nexenTheme$tagView14 === void 0 ? void 0 : _nexenTheme$tagView14.backgroundColor) || (0, _ColorUtil.getAlphaColor)(nexenTheme === null || nexenTheme === void 0 ? void 0 : (_nexenTheme$colors14 = nexenTheme.colors) === null || _nexenTheme$colors14 === void 0 ? void 0 : _nexenTheme$colors14.primaryColor, 0.0)
    };
  }, [nexenTheme, fullScreen]);

  const slideButtonTheme = _react.default.useMemo(() => {
    var _nexenTheme$fonts2, _nexenTheme$lockButto, _nexenTheme$colors15, _nexenTheme$lockButto2, _nexenTheme$colors16, _nexenTheme$lockButto3, _nexenTheme$colors17, _nexenTheme$lockButto4, _nexenTheme$colors18, _nexenTheme$lockButto5, _nexenTheme$colors19, _nexenTheme$lockButto6, _nexenTheme$lockButto7, _nexenTheme$lockButto8, _nexenTheme$lockButto9, _nexenTheme$lockButto10;

    return {
      font: nexenTheme === null || nexenTheme === void 0 ? void 0 : (_nexenTheme$fonts2 = nexenTheme.fonts) === null || _nexenTheme$fonts2 === void 0 ? void 0 : _nexenTheme$fonts2.secondaryFont,
      containerColor: (nexenTheme === null || nexenTheme === void 0 ? void 0 : (_nexenTheme$lockButto = nexenTheme.lockButton) === null || _nexenTheme$lockButto === void 0 ? void 0 : _nexenTheme$lockButto.containerColor) || (0, _ColorUtil.getAlphaColor)(nexenTheme === null || nexenTheme === void 0 ? void 0 : (_nexenTheme$colors15 = nexenTheme.colors) === null || _nexenTheme$colors15 === void 0 ? void 0 : _nexenTheme$colors15.primaryColor, 0.7),
      underlayColor: (nexenTheme === null || nexenTheme === void 0 ? void 0 : (_nexenTheme$lockButto2 = nexenTheme.lockButton) === null || _nexenTheme$lockButto2 === void 0 ? void 0 : _nexenTheme$lockButto2.underlayColor) || (0, _ColorUtil.getAlphaColor)(nexenTheme === null || nexenTheme === void 0 ? void 0 : (_nexenTheme$colors16 = nexenTheme.colors) === null || _nexenTheme$colors16 === void 0 ? void 0 : _nexenTheme$colors16.secondaryColor, 0.15),
      thumbColor: (nexenTheme === null || nexenTheme === void 0 ? void 0 : (_nexenTheme$lockButto3 = nexenTheme.lockButton) === null || _nexenTheme$lockButto3 === void 0 ? void 0 : _nexenTheme$lockButto3.thumbColor) || (nexenTheme === null || nexenTheme === void 0 ? void 0 : (_nexenTheme$colors17 = nexenTheme.colors) === null || _nexenTheme$colors17 === void 0 ? void 0 : _nexenTheme$colors17.secondaryColor),
      thumbIconColor: (nexenTheme === null || nexenTheme === void 0 ? void 0 : (_nexenTheme$lockButto4 = nexenTheme.lockButton) === null || _nexenTheme$lockButto4 === void 0 ? void 0 : _nexenTheme$lockButto4.thumbIconColor) || (nexenTheme === null || nexenTheme === void 0 ? void 0 : (_nexenTheme$colors18 = nexenTheme.colors) === null || _nexenTheme$colors18 === void 0 ? void 0 : _nexenTheme$colors18.accentColor),
      textColor: (nexenTheme === null || nexenTheme === void 0 ? void 0 : (_nexenTheme$lockButto5 = nexenTheme.lockButton) === null || _nexenTheme$lockButto5 === void 0 ? void 0 : _nexenTheme$lockButto5.textColor) || (nexenTheme === null || nexenTheme === void 0 ? void 0 : (_nexenTheme$colors19 = nexenTheme.colors) === null || _nexenTheme$colors19 === void 0 ? void 0 : _nexenTheme$colors19.primaryTextColor),
      thumbHeight: nexenTheme === null || nexenTheme === void 0 ? void 0 : (_nexenTheme$lockButto6 = nexenTheme.lockButton) === null || _nexenTheme$lockButto6 === void 0 ? void 0 : _nexenTheme$lockButto6.thumbHeight,
      thumbWidth: nexenTheme === null || nexenTheme === void 0 ? void 0 : (_nexenTheme$lockButto7 = nexenTheme.lockButton) === null || _nexenTheme$lockButto7 === void 0 ? void 0 : _nexenTheme$lockButto7.thumbWidth,
      thumbCornerRadius: nexenTheme === null || nexenTheme === void 0 ? void 0 : (_nexenTheme$lockButto8 = nexenTheme.lockButton) === null || _nexenTheme$lockButto8 === void 0 ? void 0 : _nexenTheme$lockButto8.thumbCornerRadius,
      thumbIconSize: nexenTheme === null || nexenTheme === void 0 ? void 0 : (_nexenTheme$lockButto9 = nexenTheme.lockButton) === null || _nexenTheme$lockButto9 === void 0 ? void 0 : _nexenTheme$lockButto9.thumbIconSize,
      textSize: nexenTheme === null || nexenTheme === void 0 ? void 0 : (_nexenTheme$lockButto10 = nexenTheme.lockButton) === null || _nexenTheme$lockButto10 === void 0 ? void 0 : _nexenTheme$lockButto10.textSize,
      padding: 3
    };
  }, [nexenTheme, fullScreen]);

  const renderBasicLayout = () => {
    return /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, /*#__PURE__*/_react.default.createElement(_reactNative.View, {
      style: styles.iconButtonContainer
    }, /*#__PURE__*/_react.default.createElement(_IconButton.default, {
      style: {
        transform: [{
          scaleX: isRTL ? -1 : 1
        }]
      },
      onPress: onPlayPress
    }, paused ? /*#__PURE__*/_react.default.createElement(_icons.IconPaly, {
      size: ICON_SIZE,
      color: ICON_COLOR
    }) : /*#__PURE__*/_react.default.createElement(_icons.IconPause, {
      size: ICON_SIZE,
      color: ICON_COLOR
    })), !(playerConfig !== null && playerConfig !== void 0 && playerConfig.disableStop) && /*#__PURE__*/_react.default.createElement(_IconButton.default, {
      onPress: onStopPress
    }, /*#__PURE__*/_react.default.createElement(_icons.IconStop, {
      size: ICON_SIZE,
      color: ICON_COLOR
    }))), /*#__PURE__*/_react.default.createElement(_reactNative.View, {
      style: styles.iconButtonContainer
    }, !(playerConfig !== null && playerConfig !== void 0 && playerConfig.disableVolume) && /*#__PURE__*/_react.default.createElement(_IconButton.default, {
      onPress: onVolumePress
    }, playerConfig !== null && playerConfig !== void 0 && playerConfig.muted ? /*#__PURE__*/_react.default.createElement(_icons.IconVolume, {
      size: ICON_SIZE,
      color: ICON_COLOR
    }) : /*#__PURE__*/_react.default.createElement(_icons.IconVolume2, {
      size: ICON_SIZE,
      color: ICON_COLOR
    })), !(playerConfig !== null && playerConfig !== void 0 && playerConfig.disableFullscreen) && /*#__PURE__*/_react.default.createElement(_IconButton.default, {
      onPress: onFullScreenPress
    }, fullScreen ? /*#__PURE__*/_react.default.createElement(_icons.IconMinimize, {
      size: ICON_SIZE,
      color: ICON_COLOR
    }) : /*#__PURE__*/_react.default.createElement(_icons.IconMaximize, {
      size: ICON_SIZE,
      color: ICON_COLOR
    }))));
  };

  const renderIntermediateLayout = () => {
    return /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, /*#__PURE__*/_react.default.createElement(_reactNative.View, {
      style: styles.iconButtonContainer
    }, !disablePlaylistAndSkip && !(playerConfig !== null && playerConfig !== void 0 && playerConfig.disableSkip) && /*#__PURE__*/_react.default.createElement(_IconButton.default, {
      style: {
        transform: [{
          scaleX: isRTL ? -1 : 1
        }]
      },
      onPress: onSkipBack
    }, /*#__PURE__*/_react.default.createElement(_icons.IconSkipBack, {
      size: ICON_SIZE,
      color: ICON_COLOR
    })), /*#__PURE__*/_react.default.createElement(_IconButton.default, {
      style: {
        transform: [{
          scaleX: isRTL ? -1 : 1
        }]
      },
      onPress: onPlayPress
    }, paused ? /*#__PURE__*/_react.default.createElement(_icons.IconPaly, {
      size: ICON_SIZE,
      color: ICON_COLOR
    }) : /*#__PURE__*/_react.default.createElement(_icons.IconPause, {
      size: ICON_SIZE,
      color: ICON_COLOR
    })), !(playerConfig !== null && playerConfig !== void 0 && playerConfig.disableStop) && /*#__PURE__*/_react.default.createElement(_IconButton.default, {
      onPress: onStopPress
    }, /*#__PURE__*/_react.default.createElement(_icons.IconStop, {
      size: ICON_SIZE,
      color: ICON_COLOR
    })), !disablePlaylistAndSkip && !(playerConfig !== null && playerConfig !== void 0 && playerConfig.disableSkip) && /*#__PURE__*/_react.default.createElement(_IconButton.default, {
      style: {
        transform: [{
          scaleX: isRTL ? -1 : 1
        }]
      },
      onPress: onSkipNext
    }, /*#__PURE__*/_react.default.createElement(_icons.IconSkipForward, {
      size: ICON_SIZE,
      color: ICON_COLOR
    }))), /*#__PURE__*/_react.default.createElement(_reactNative.View, {
      style: styles.iconButtonContainer
    }, !(playerConfig !== null && playerConfig !== void 0 && playerConfig.disableVolume) && /*#__PURE__*/_react.default.createElement(_VolumeTagView.default, {
      volume: playerConfig === null || playerConfig === void 0 ? void 0 : playerConfig.volume,
      totalVolume: totalVolume,
      muted: playerConfig === null || playerConfig === void 0 ? void 0 : playerConfig.muted,
      isSeekable: isVolumeSeekable,
      theme: volumeSeekBarTheme,
      onVolumeSeekStart: onVolumeSeekStart,
      onVolumeSeekUpdate: onVolumeSeekUpdate,
      onVolumeSeekEnd: onVolumeSeekEnd,
      onVolumePress: onVolumePress
    }), !(playerConfig !== null && playerConfig !== void 0 && playerConfig.disableFullscreen) && /*#__PURE__*/_react.default.createElement(_IconButton.default, {
      onPress: onFullScreenPress
    }, fullScreen ? /*#__PURE__*/_react.default.createElement(_icons.IconMinimize, {
      size: ICON_SIZE,
      color: ICON_COLOR
    }) : /*#__PURE__*/_react.default.createElement(_icons.IconMaximize, {
      size: ICON_SIZE,
      color: ICON_COLOR
    }))));
  };

  const renderAdvancedLayout = () => {
    return /*#__PURE__*/_react.default.createElement(_reactNative.View, {
      style: styles.iconButtonContainer
    }, /*#__PURE__*/_react.default.createElement(_reactNative.View, {
      style: {
        flex: 1,
        flexDirection: 'row',
        justifyContent: 'flex-start',
        alignItems: 'center'
      }
    }, !(playerConfig !== null && playerConfig !== void 0 && playerConfig.disableResizeMode) && !locked && /*#__PURE__*/_react.default.createElement(_IconButton.default, {
      onPress: onAspectRatioPress
    }, /*#__PURE__*/_react.default.createElement(_icons.IconAspectRatio, {
      size: ICON_SIZE,
      color: ICON_COLOR
    })), !disablePlaylistAndSkip && !(playerConfig !== null && playerConfig !== void 0 && playerConfig.disablePlayList) && !locked && /*#__PURE__*/_react.default.createElement(_IconButton.default, {
      onPress: onVideoListPress
    }, /*#__PURE__*/_react.default.createElement(_icons.IconFilm, {
      size: ICON_SIZE,
      color: ICON_COLOR
    }))), /*#__PURE__*/_react.default.createElement(_reactNative.View, {
      style: {
        flex: 1,
        flexDirection: 'row',
        justifyContent: 'center',
        alignItems: 'center'
      }
    }, !disablePlaylistAndSkip && !(playerConfig !== null && playerConfig !== void 0 && playerConfig.disableSkip) && /*#__PURE__*/_react.default.createElement(_IconButton.default, {
      style: {
        transform: [{
          scaleX: isRTL ? -1 : 1
        }]
      },
      onPress: onSkipBack
    }, /*#__PURE__*/_react.default.createElement(_icons.IconSkipBack, {
      size: ICON_SIZE,
      color: ICON_COLOR
    })), /*#__PURE__*/_react.default.createElement(_IconButton.default, {
      style: {
        transform: [{
          scaleX: isRTL ? -1 : 1
        }]
      },
      onPress: onPlayPress
    }, paused ? /*#__PURE__*/_react.default.createElement(_icons.IconPlayCircle, {
      size: ICON_SIZE * ICON_SIZE_FACTOR,
      color: ICON_COLOR
    }) : /*#__PURE__*/_react.default.createElement(_icons.IconPauseCircle, {
      size: ICON_SIZE * ICON_SIZE_FACTOR,
      color: ICON_COLOR
    })), !disablePlaylistAndSkip && !(playerConfig !== null && playerConfig !== void 0 && playerConfig.disableSkip) && /*#__PURE__*/_react.default.createElement(_IconButton.default, {
      style: {
        transform: [{
          scaleX: isRTL ? -1 : 1
        }]
      },
      onPress: onSkipNext
    }, /*#__PURE__*/_react.default.createElement(_icons.IconSkipForward, {
      size: ICON_SIZE,
      color: ICON_COLOR
    }))), /*#__PURE__*/_react.default.createElement(_reactNative.View, {
      style: {
        flex: 1,
        flexDirection: 'row',
        justifyContent: 'flex-end',
        alignItems: 'center'
      }
    }, !(playerConfig !== null && playerConfig !== void 0 && playerConfig.disableSubtitle) && /*#__PURE__*/_react.default.createElement(_IconButton.default, {
      onPress: onCcPress
    }, /*#__PURE__*/_react.default.createElement(_icons.IconSubtitle, {
      size: ICON_SIZE,
      color: ICON_COLOR
    })), !(playerConfig !== null && playerConfig !== void 0 && playerConfig.disableFullscreen) && /*#__PURE__*/_react.default.createElement(_IconButton.default, {
      onPress: onFullScreenPress
    }, fullScreen ? /*#__PURE__*/_react.default.createElement(_icons.IconMinimize, {
      size: ICON_SIZE,
      color: ICON_COLOR
    }) : /*#__PURE__*/_react.default.createElement(_icons.IconMaximize, {
      size: ICON_SIZE,
      color: ICON_COLOR
    }))));
  };

  return /*#__PURE__*/_react.default.createElement(_reactNative.Animated.View, {
    style: [styles.container, {
      height: CONTAINER_HEIGHT
    }, {
      opacity,
      marginBottom
    }]
  }, /*#__PURE__*/_react.default.createElement(_GradientView.default, {
    style: {
      height: '100%',
      width: '100%'
    },
    startOpacity: 0.0,
    middleOpacity: 0.2,
    endOpacity: 0.5
  }), /*#__PURE__*/_react.default.createElement(_reactNative.TouchableHighlight, {
    style: [styles.innerContainer, {
      paddingBottom: CONTAINER_VERTICAL_PADDING,
      paddingHorizontal: CONTAINER_HORIZONTAL_PADDING
    }]
  }, /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: {
      flex: 1,
      justifyContent: 'space-between'
    }
  }, /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: styles.seekbarContainer
  }, /*#__PURE__*/_react.default.createElement(_TimeTagView.default, {
    timeText: (0, _StringUtil.formatTime)(trackTime),
    theme: timeTagViewTheme
  }), /*#__PURE__*/_react.default.createElement(_SeekBar.default, {
    style: styles.trackSeekbar,
    trackValue: trackTime,
    cachedTrackValue: cachedTrackTime,
    totalTrackValue: totalTrackTime,
    isSeekable: isSeekable,
    theme: seekBarTheme,
    onSeekStart: onSeekStart,
    onSeekUpdate: onSeekUpdate,
    onSeekEnd: onSeekEnd
  }), /*#__PURE__*/_react.default.createElement(_TimeTagView.default, {
    timeText: (0, _StringUtil.formatTime)(totalTrackTime),
    theme: timeTagViewTheme
  })), locked ? /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: styles.lockedViewContainer
  }, /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: styles.slideButtonContainer
  }, /*#__PURE__*/_react.default.createElement(_SlideButton.default, {
    theme: slideButtonTheme,
    onSlideStart: onSlideStart,
    onSlideEnd: onSlideEnd,
    onReachedToStart: onReachedToStart,
    onReachedToEnd: onReachedToEnd
  }))) : /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: styles.unlockedViewContainer
  }, (playerConfig === null || playerConfig === void 0 ? void 0 : playerConfig.layoutMode) === 'basic' && renderBasicLayout(), (playerConfig === null || playerConfig === void 0 ? void 0 : playerConfig.layoutMode) === 'intermediate' && renderIntermediateLayout(), (playerConfig === null || playerConfig === void 0 ? void 0 : playerConfig.layoutMode) === 'advanced' && renderAdvancedLayout()))));
});

var _default = /*#__PURE__*/_react.default.memo(FooterControl);

exports.default = _default;
FooterControl.defaultProps = {};

const styles = _reactNative.StyleSheet.create({
  container: {
    position: 'absolute',
    left: 0,
    right: 0,
    bottom: 0,
    height: 68,
    minHeight: 68,
    zIndex: 100
  },
  innerContainer: {
    position: 'absolute',
    left: 0,
    top: 0,
    right: 0,
    bottom: 0,
    flexDirection: 'row'
  },
  iconButtonContainer: {
    flexDirection: 'row',
    alignItems: 'center'
  },
  lockedViewContainer: {
    flexDirection: 'row',
    justifyContent: 'space-between',
    alignItems: 'center',
    paddingHorizontal: 8
  },
  unlockedViewContainer: {
    flexDirection: 'row',
    justifyContent: 'space-between',
    alignItems: 'center'
  },
  seekbarContainer: {
    // flex: 1,
    flexDirection: 'row',
    justifyContent: 'center',
    alignItems: 'center',
    paddingHorizontal: 12
  },
  trackSeekbar: {
    marginHorizontal: 4
  },
  slideButtonContainer: {
    flex: 1,
    padding: 8
  }
});
//# sourceMappingURL=FooterControl.js.map