"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.useNexenTheme = exports.NexenThemeProvider = exports.NexenThemeContext = void 0;

var _react = _interopRequireDefault(require("react"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const NexenThemeContext = /*#__PURE__*/_react.default.createContext({});

exports.NexenThemeContext = NexenThemeContext;

const NexenThemeProvider = _ref => {
  let {
    children,
    initTheme
  } = _ref;

  const [nexenTheme, setNexenTheme] = _react.default.useState(initTheme);

  return /*#__PURE__*/_react.default.createElement(NexenThemeContext.Provider, {
    value: {
      nexenTheme,
      setNexenTheme
    }
  }, children);
};

exports.NexenThemeProvider = NexenThemeProvider;

const useNexenTheme = () => {
  const {
    nexenTheme,
    setNexenTheme
  } = _react.default.useContext(NexenThemeContext);

  return {
    nexenTheme,
    setNexenTheme
  };
};

exports.useNexenTheme = useNexenTheme;
//# sourceMappingURL=useNexenTheme.js.map