"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getVolumeIcon = exports.getBrightnessIcon = void 0;

var _react = _interopRequireDefault(require("react"));

var _icons = require("../assets/icons");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const getVolumeIcon = (volume, maxVolume, size, color) => {
  const percent = volume / maxVolume; // console.log(`percent: ${percent} size:${size} color: ${String(color)}`);

  if (percent >= 0.7) {
    return /*#__PURE__*/_react.default.createElement(_icons.IconVolume3, {
      size: size,
      color: color
    });
  } else if (percent >= 0.4 && percent < 0.7) {
    return /*#__PURE__*/_react.default.createElement(_icons.IconVolume2, {
      size: size,
      color: color
    });
  } else if (percent > 0 && percent < 0.4) {
    return /*#__PURE__*/_react.default.createElement(_icons.IconVolume1, {
      size: size,
      color: color
    });
  } else {
    return /*#__PURE__*/_react.default.createElement(_icons.IconVolume, {
      size: size,
      color: color
    });
  }
};

exports.getVolumeIcon = getVolumeIcon;

const getBrightnessIcon = (brightness, maxBrightness, size, color) => {
  const percent = brightness / maxBrightness;

  if (percent >= 0.6) {
    return /*#__PURE__*/_react.default.createElement(_icons.IconSun, {
      size: size,
      color: color
    });
  } else if (percent >= 0.3) {
    return /*#__PURE__*/_react.default.createElement(_icons.IconSun1, {
      size: size,
      color: color
    });
  } else {
    return /*#__PURE__*/_react.default.createElement(_icons.IconSun2, {
      size: size,
      color: color
    });
  }
};

exports.getBrightnessIcon = getBrightnessIcon;
//# sourceMappingURL=ComponentUtil.js.map