"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.DefaultVolumeSeekBarTheme = exports.DefaultTrackSeekBarTheme = exports.DefaultTipViewTheme = exports.DefaultTheme = exports.DefaultTagViewTheme = exports.DefaultSpeedSeekBar = exports.DefaultSizesTheme = exports.DefaultMiniSeekBarTheme = exports.DefaultLockButtonTheme = exports.DefaultDropdownMenuTheme = exports.DefaultColorsTheme = exports.DefaultBrightnessSeekBarTheme = void 0;
const DefaultColorsTheme = {
  primaryColor: '#0a0a0a',
  secondaryColor: '#fafafa',
  accentColor: '#fa5005',
  // modalBackgroundColor: 'rgb(10,10,10,0.7)',
  primaryTextColor: '#fafafa',
  secondaryTextColor: '#e6e6e6',
  primaryIconColor: '#fafafa',
  secondaryIconColor: '#e6e6e6',
  // inactiveIconColor: '#515151',
  // activeIconColor: '#fa5005',
  // tipViewIconColor?: number;
  // tipViewTextColor?: number;
  rippleIconColor: '#e6e6e6'
};
exports.DefaultColorsTheme = DefaultColorsTheme;
const DefaultSizesTheme = {
  modalCornerRadius: 12,
  primaryTextSize: 20,
  secondaryTextSize: 15,
  primaryIconSize: 20,
  secondaryIconSize: 20,
  // tagViewHeight: 18,
  // tagViewBorderWidth: 1,
  // tagViewCornerRadius: 9,
  // tagViewTextSize: 12,
  // tagViewTextLineHeight: 14,
  // tipViewIconSize: 20,
  // tipViewTextSize: 18,
  // trackSeekBarThumbCornerRadius: 4,
  // trackSeekBarThumbBorderCornerRadius: 5,
  // slideButtonFontSize: 14,
  // slideButtonThumbWidth: 40,
  // slideButtonCornerRadius: 10,
  rippleIconSize: 28,
  paddingVertical: 8,
  paddingHorizontal: 0
};
exports.DefaultSizesTheme = DefaultSizesTheme;
const DefaultTrackSeekBarTheme = {
  trackHeight: 2,
  thumbSize: 10,
  thumbBorderWidth: 5,
  thumbCornerRadius: 5,
  thumbBorderCornerRadius: 7.5
};
exports.DefaultTrackSeekBarTheme = DefaultTrackSeekBarTheme;
const DefaultSpeedSeekBar = {
  textSize: 12,
  lineHeight: 2,
  dotSize: 6,
  dotCornerRadius: 3,
  thumbSize: 18,
  thumbCornerRadius: 9
};
exports.DefaultSpeedSeekBar = DefaultSpeedSeekBar;
const DefaultVolumeSeekBarTheme = {
  barColor: 'rgba(250,250,250,0.5)',
  underlayColor: 'rgba(10,10,10,0.3)' // containerColor: 'rgba(10,10,10,0.7)',

};
exports.DefaultVolumeSeekBarTheme = DefaultVolumeSeekBarTheme;
const DefaultBrightnessSeekBarTheme = {
  barColor: 'rgba(250,250,250,0.5)',
  underlayColor: 'rgba(10,10,10,0.3)' // containerColor: 'rgba(10,10,10,0.7)',

};
exports.DefaultBrightnessSeekBarTheme = DefaultBrightnessSeekBarTheme;
const DefaultMiniSeekBarTheme = {
  barColor: 'rgba(250,80,5,0.6)',
  underlayColor: 'rgba(250,250,250,0.3)',
  thumbColor: '#fafafa',
  trackHeight: 2,
  thumbSize: 10,
  thumbCornerRadius: 5
};
exports.DefaultMiniSeekBarTheme = DefaultMiniSeekBarTheme;
;
const DefaultLockButtonTheme = {
  textSize: 14,
  thumbIconSize: 18,
  thumbHeight: 36,
  thumbWidth: 36,
  thumbCornerRadius: 18
};
exports.DefaultLockButtonTheme = DefaultLockButtonTheme;
const DefaultTagViewTheme = {
  height: 18,
  borderWidth: 1,
  cornerRadius: 9,
  textSize: 12,
  textLineHeight: 14,
  iconSize: 12
};
exports.DefaultTagViewTheme = DefaultTagViewTheme;
const DefaultTipViewTheme = {
  iconSize: 20,
  textSize: 18
};
exports.DefaultTipViewTheme = DefaultTipViewTheme;
const DefaultDropdownMenuTheme = {
  textSize: 18,
  cornerRadius: 10
};
exports.DefaultDropdownMenuTheme = DefaultDropdownMenuTheme;
const DefaultTheme = {
  trackSeekBar: { ...DefaultTrackSeekBarTheme
  },
  speedSeekBar: { ...DefaultSpeedSeekBar
  },
  miniSeekBar: { ...DefaultMiniSeekBarTheme
  },
  lockButton: { ...DefaultLockButtonTheme
  },
  tipView: { ...DefaultTipViewTheme
  },
  tagView: { ...DefaultTagViewTheme
  },
  dropdownMenu: { ...DefaultDropdownMenuTheme
  },
  colors: { ...DefaultColorsTheme
  },
  icons: {},
  fonts: {},
  sizes: { ...DefaultSizesTheme
  }
};
exports.DefaultTheme = DefaultTheme;
//# sourceMappingURL=Theme.js.map