import { StyleSheet, TouchableOpacity } from 'react-native';
import React from 'react';
import { IconPlayCircle } from '../assets/icons';

const PlayButton = props => {
  const {
    dimension
  } = props;
  const minValue = Math.min(dimension === null || dimension === void 0 ? void 0 : dimension.width, dimension === null || dimension === void 0 ? void 0 : dimension.height);
  const ICON_SIZE = minValue * 0.3;
  return /*#__PURE__*/React.createElement(TouchableOpacity, {
    style: styles.container,
    activeOpacity: 0.6,
    onPress: props.onPlayPress
  }, /*#__PURE__*/React.createElement(IconPlayCircle, {
    size: ICON_SIZE,
    color: "rgba(255,255,255,0.7)"
  }));
};

export default PlayButton;
PlayButton.defaultProps = {
  dimension: {
    width: 0,
    height: 0
  }
};
const styles = StyleSheet.create({
  container: {
    position: 'absolute',
    width: 72,
    height: 72,
    justifyContent: 'center',
    alignItems: 'center'
  }
});
//# sourceMappingURL=PlayButton.js.map