import React from 'react';
export const NexenThemeContext = /*#__PURE__*/React.createContext({});
export const NexenThemeProvider = _ref => {
  let {
    children,
    initTheme
  } = _ref;
  const [nexenTheme, setNexenTheme] = React.useState(initTheme);
  return /*#__PURE__*/React.createElement(NexenThemeContext.Provider, {
    value: {
      nexenTheme,
      setNexenTheme
    }
  }, children);
};

const useNexenTheme = () => {
  const {
    nexenTheme,
    setNexenTheme
  } = React.useContext(NexenThemeContext);
  return {
    nexenTheme,
    setNexenTheme
  };
};

export { useNexenTheme };
//# sourceMappingURL=useNexenTheme.js.map