export const formatTime = seconds => {
  let result = '';
  let h = Math.floor(seconds / 3600) < 10 ? Math.floor(seconds / 3600) : Math.floor(seconds / 3600);
  let m = Math.floor(seconds / 60 % 60) < 10 ? Math.floor(seconds / 60 % 60) : Math.floor(seconds / 60 % 60);
  let s = Math.floor(seconds % 60) < 10 ? '0' + Math.floor(seconds % 60) : Math.floor(seconds % 60);

  if (Math.floor(seconds / 3600) === 0) {
    result = `${m}:${s}`;
  } else {
    result = `${h}:${m}:${s}`;
  }

  return result;
};
export const getAspectRatioTipText = text => {
  if (text == null || text.length == 0) {
    return '';
  }

  let tipText = text;

  if (tipText.includes('SURFACE_')) {
    tipText = tipText.replace('SURFACE_', '');

    if (tipText == '16_9' || tipText == '4_3') {
      tipText = tipText.replace('_', ':');
    } else {
      tipText = tipText.replace(/_/g, ' ');
    }
  } else {
    tipText = tipText.replace(/_/g, ' ');
  }

  return tipText;
};
export const getTimeTipText = (time, totalTime) => {
  // console.log(`getTimeTipText :time: ${time} totalTime: ${totalTime} +0:05 (0:35)`);
  return `${formatTime(time)}/${formatTime(totalTime)}`;
};

const formatTimeTip = time => {
  let seconds = Math.abs(time);
  let m = Math.floor(seconds / 60 % 60) < 10 ? Math.floor(seconds / 60 % 60) : Math.floor(seconds / 60 % 60);
  let s = Math.floor(seconds % 60) < 10 ? '0' + Math.floor(seconds % 60) : Math.floor(seconds % 60);
  return `${m}:${s}`;
};

export const getForwardOrRewindTimeTipText = (symbol, minTime, maxTime) => {
  //console.log(`getForwardOrRewindTimeTipText :forwardOrRewindTime: ${forwardOrRewindTime} Time: ${time}`);
  return `${symbol}${formatTimeTip(minTime)} (${formatTimeTip(maxTime)})`;
};
export const getForOrRewTimeTipText = (symbol, forwardTime, time) => {
  return `${symbol}${forwardTime}s (${formatTimeTip(time)})`;
};
//# sourceMappingURL=StringUtil.js.map