import React from 'react';
import { StyleProp, ViewStyle } from 'react-native';
import type { Dimension, NexenConfig } from './NexenPlayer';
import type { NexenTheme } from '../utils/Theme';
export declare const MAX_VOLUME = 100;
export declare const MAX_BRIGHTNESS = 100;
export declare enum GestureEventType {
    TRACK = "TRACK",
    VOLUME = "VOLUME",
    BRIGHTNESS = "BRIGHTNESS"
}
export declare enum TapEventType {
    SINGLE_TAP = "SINGLE_TAP",
    DOUBLE_TAP = "DOUBLE_TAP",
    DOUBLE_TAP_LEFT = "DOUBLE_TAP_LEFT",
    DOUBLE_TAP_RIGHT = "DOUBLE_TAP_RIGHT",
    DOUBLE_TAP_MIDDLE = "DOUBLE_TAP_MIDDLE"
}
declare type GestureViewProps = {
    style?: StyleProp<ViewStyle>;
    fullScreen?: boolean;
    locked: boolean;
    error?: boolean;
    isSeeking: React.MutableRefObject<boolean>;
    isSliding: React.MutableRefObject<boolean>;
    isSeekable: React.MutableRefObject<boolean>;
    gestureEnabled: React.MutableRefObject<boolean>;
    durationTime: React.MutableRefObject<number>;
    currentTime: React.MutableRefObject<number>;
    dimension: Dimension;
    playerConfig?: NexenConfig;
    nexenTheme?: NexenTheme;
    onTapDetected?: (event: TapEventType, value?: number) => void;
    onGestureStart?: (event: GestureEventType, value: number) => void;
    onGestureMove?: (event: GestureEventType, value: number) => void;
    onGestureEnd?: (event: GestureEventType, value: number) => void;
};
declare const _default: React.MemoExoticComponent<(props: GestureViewProps) => JSX.Element>;
export default _default;
