import React from 'react';
import { StyleProp, ViewStyle } from 'react-native';
import type { TrackSeekBarTheme } from '../utils/Theme';
export interface SeekBarTheme extends TrackSeekBarTheme {
}
declare type SeekBarProps = {
    trackValue: number;
    totalTrackValue: number;
    cachedTrackValue?: number;
    isSeekable?: React.MutableRefObject<boolean>;
    disableCachedTrack?: boolean;
    disableThumbBorder?: boolean;
    theme?: SeekBarTheme;
    style?: StyleProp<ViewStyle>;
    onSeekStart?: (value: number, totalValue: number, position: number) => void;
    onSeekUpdate?: (value: number, totalValue: number, position: number) => void;
    onSeekEnd?: (value: number, totalValue: number, position: number) => void;
};
declare const SeekBar: {
    (props: SeekBarProps): JSX.Element;
    defaultProps: {
        disableCachedTrack: boolean;
        disableThumbBorder: boolean;
        thumbSize: number;
        thumbBorderWidth: number;
        thumbRadius: number;
        thumbBorderRadius: number;
        seekBarHeight: number;
    };
};
export default SeekBar;
