import React from 'react';
import { ColorValue, StyleProp, ViewStyle } from 'react-native';
export interface TipViewTheme {
    iconSize?: number;
    iconColor?: ColorValue;
    textSize?: number;
    textColor?: ColorValue;
    font?: string;
}
declare type TipViewProps = {
    theme?: TipViewTheme;
    style?: StyleProp<ViewStyle>;
};
declare type TipViewState = {
    showTip?: boolean;
    tipText?: string;
    autoHide?: boolean;
    withIcon?: boolean;
    icon?: React.ReactNode;
};
export declare type TipViewRef = {
    updateState: (newState: TipViewState) => void;
};
declare const TipView: React.ForwardRefExoticComponent<TipViewProps & React.RefAttributes<TipViewRef>>;
export default TipView;
