import React from 'react';
import { StyleProp, ViewStyle } from 'react-native';
import type { NexenTheme } from '../utils/Theme';
import { AudioTrack, EdgeInsets, SelectedAudioTrack, SelectedTextTrack, TextTrack } from './NexenPlayer';
declare type TrackControlProps = {
    textTracks?: TextTrack[];
    selectedTextTrack?: SelectedTextTrack;
    audioTracks?: AudioTrack[];
    selectedAudioTrack?: SelectedAudioTrack;
    fullScreen?: boolean;
    nexenTheme?: NexenTheme;
    insets?: EdgeInsets;
    style?: StyleProp<ViewStyle>;
    onTextTrackSelect?: (selectedTextTrack: SelectedTextTrack) => void;
    onAudioTrackSelect?: (selectedAudioTrack: SelectedAudioTrack) => void;
};
declare const _default: React.ForwardRefExoticComponent<TrackControlProps & {
    animateFrom: "LEFT" | "RIGHT" | "TOP" | "BOTTOM";
    distance: number;
    style?: StyleProp<ViewStyle>;
} & React.RefAttributes<import("../hoc/withAnimation").WrapperComponentRef>>;
export default _default;
