import React from 'react';
import { Animated, StyleProp, ViewStyle } from 'react-native';
export declare type WrapperComponentRef = {
    show: (callback?: Animated.EndCallback) => void;
    hide: (callback?: Animated.EndCallback) => void;
};
export declare const withAnimation: <ComposedComponentProps extends object>(ComposedComponent: React.ComponentType<ComposedComponentProps>) => React.ForwardRefExoticComponent<React.PropsWithoutRef<ComposedComponentProps & {
    animateFrom: 'LEFT' | 'RIGHT' | 'TOP' | 'BOTTOM';
    distance: number;
    style?: StyleProp<ViewStyle>;
}> & React.RefAttributes<WrapperComponentRef>>;
