import type { ColorValue } from "react-native";
export interface NexenTheme {
    trackSeekBar?: TrackSeekBarTheme;
    speedSeekBar?: SpeedSeekBarTheme;
    volumeSeekBar?: VerticalSeekBarTheme;
    brightnessSeekBar?: VerticalSeekBarTheme;
    lineSeekBar?: LineBarTheme;
    miniSeekBar?: MiniSeekBarTheme;
    lockButton?: LockButtonTheme;
    tagView?: TagViewTheme;
    tipView?: TipViewTheme;
    dropdownMenu?: DropdownMenuTheme;
    colors?: ColorTheme;
    icons?: {};
    fonts?: FontTheme;
    sizes?: SizeTheme;
}
export declare type ColorTheme = {
    primaryColor?: string;
    secondaryColor?: string;
    accentColor?: string;
    modalBackgroundColor?: string;
    primaryTextColor?: string;
    secondaryTextColor?: string;
    primaryIconColor?: string;
    secondaryIconColor?: string;
    rippleIconColor?: string;
};
export declare const DefaultColorsTheme: ColorTheme;
export declare type FontTheme = {
    primaryFont?: string;
    secondaryFont?: string;
};
export declare type SizeTheme = {
    modalCornerRadius?: number;
    primaryTextSize?: number;
    secondaryTextSize?: number;
    primaryIconSize?: number;
    secondaryIconSize?: number;
    rippleIconSize?: number;
    paddingVertical?: number;
    paddingHorizontal?: number;
};
export declare const DefaultSizesTheme: SizeTheme;
export interface TrackSeekBarTheme {
    trackColor?: ColorValue;
    cachedTrackColor?: ColorValue;
    totalTrackColor?: ColorValue;
    thumbColor?: ColorValue;
    thumbBorderColor?: ColorValue;
    trackHeight?: number;
    thumbSize?: number;
    thumbBorderWidth?: number;
    thumbCornerRadius?: number;
    thumbBorderCornerRadius?: number;
}
export declare const DefaultTrackSeekBarTheme: TrackSeekBarTheme;
export declare type SpeedSeekBarTheme = {
    lineColor?: ColorValue;
    dotColor?: ColorValue;
    thumbColor?: ColorValue;
    textColor?: ColorValue;
    textSize?: number;
    lineHeight?: number;
    dotSize?: number;
    dotCornerRadius?: number;
    thumbSize?: number;
    thumbCornerRadius?: number;
};
export declare const DefaultSpeedSeekBar: SpeedSeekBarTheme;
export interface LineBarTheme {
    lineColor?: ColorValue;
    lineUnderlayColor?: ColorValue;
}
export interface VerticalSeekBarTheme {
    barColor?: ColorValue;
    underlayColor?: ColorValue;
}
export declare const DefaultVolumeSeekBarTheme: VerticalSeekBarTheme;
export declare const DefaultBrightnessSeekBarTheme: VerticalSeekBarTheme;
export interface MiniSeekBarTheme {
    barColor?: ColorValue;
    underlayColor?: ColorValue;
    thumbColor?: ColorValue;
    trackHeight?: number;
    thumbSize?: number;
    thumbCornerRadius?: number;
}
export declare const DefaultMiniSeekBarTheme: MiniSeekBarTheme;
export interface LockButtonTheme {
    containerColor?: ColorValue;
    underlayColor?: ColorValue;
    thumbColor?: ColorValue;
    thumbIconColor?: ColorValue;
    textColor?: ColorValue;
    textSize?: number;
    thumbIconSize?: number;
    thumbWidth?: number;
    thumbHeight?: number;
    thumbCornerRadius?: number;
}
export declare const DefaultLockButtonTheme: LockButtonTheme;
export declare type TagViewTheme = {
    height?: number;
    borderWidth?: number;
    cornerRadius?: number;
    textSize?: number;
    textLineHeight?: number;
    iconSize?: number;
    backgroundColor?: ColorValue;
    iconColor?: ColorValue;
    textColor?: ColorValue;
    borderColor?: ColorValue;
    inactiveIconColor?: ColorValue;
    activeIconColor?: ColorValue;
};
export declare const DefaultTagViewTheme: TagViewTheme;
export declare type TipViewTheme = {
    iconSize?: number;
    textSize?: number;
    iconColor?: ColorValue;
    textColor?: ColorValue;
};
export declare const DefaultTipViewTheme: TipViewTheme;
export interface DropdownMenuTheme {
    backgroundColor?: ColorValue;
    headerBackgroundColor?: ColorValue;
    itemBackgroundColor?: ColorValue;
    textColor?: ColorValue;
    headerTextColor?: ColorValue;
    itemTextColor?: ColorValue;
    itemSelectedColor?: ColorValue;
    textSize?: number;
    headerTextSize?: number;
    itemTextSize?: number;
    cornerRadius?: number;
}
export declare const DefaultDropdownMenuTheme: DropdownMenuTheme;
export declare const DefaultTheme: NexenTheme;
